## NOTE tainted repo only
%define tainted 1
%define zmuid   apache
%define zmgid   apache
%define uname   ZoneMinder
%define moover  1.3.2

%global __requires_exclude perl\\(ZoneMinder|perl\\(ONVIF|perl\\(WSNotification|perl\\(WSDiscovery|perl\\(WSDiscovery10|perl\\(WSSecurity
%global __provides_exclude perl\\(ZoneMinder|perl\\(ONVIF|perl\\(WSNotification|perl\\(WSDiscovery|perl\\(WSDiscovery10|perl\\(WSSecurity

%bcond_with pcre

Name:           zoneminder
Version:        1.37.61
Release:        %mkrel 1
Summary:        Video Camera and CCTV Security with Motion Detection
Group:          Security
URL:            https://www.zoneminder.com/
License:        GPLv2+ and LGPLv2+ and MIT
# Included Mootools is under the MIT license: https://mootools.net/
# https://www.opensource.org/licenses/mit-license.php
# CakePHP is under the MIT license: https://github.com/cakephp/cakephp
# Crud is under the MIT license: https://github.com/FriendsOfCake/crud
# CakePHP-Enum-Behavior is under the MIT license: https://github.com/asper/CakePHP-Enum-Behavior

## NOTE Use mk-tar script to create tarball as upstream release tarball excludes git submodules.
## NOTE Do not use mgarepo sync -d
Source0:        %{uname}-%{version}.tar.gz
Source2:        %{name}.conf
Source3:        redalert.wav
Source4:        README.Mageia
Source6:        zmrestart
Source7:        zmstop
Source8:        zmsetup
Source9:        %{name}.service
Source10:       %{name}-tmpfiles.conf
Source11:       89-%{name}.rules
Source12:       03-mga.conf
Source13:       mk-tar

BuildRequires:  cmake
# ffmpeg is needed for CMakeLists.txt to set OPT_FFMPEG
BuildRequires:  ffmpeg
BuildRequires:  ffmpeg-devel
BuildRequires:  pkgconfig(gnutls)
BuildRequires:  java-devel
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  libgcrypt-devel
BuildRequires:  mariadb-devel
BuildRequires:  json-devel

%if %{with pcre}
BuildRequires:  pkgconfig(libpcre)
%endif
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libvlc)
BuildRequires:  pkgconfig(polkit-gobject-1)

%if %{tainted} == 1
BuildRequires:  pkgconfig(x264)
BuildRequires:  mp4v2-devel
%endif

# Perl modules really required for build
BuildRequires:  perl(Date::Manip)
BuildRequires:  perl(DBD::mysql)
BuildRequires:  perl(LWP::UserAgent)
BuildRequires:  perl(Sys::Mmap)
BuildRequires:  perl-podlators

Requires:       cracklib-dicts
Requires:       ffmpeg
# Perl modules required but not auto-required
Requires:       perl(Archive::Zip)
Requires:       perl(DBD::mysql)
Requires:       perl(IO::Socket::SSL)
Requires:       perl(LWP::Protocol::https)
Requires:       perl(MIME::Entity)
Requires:       perl(MIME::Lite)
Requires:       perl(Net::FTP)
Requires:       perl(Net::SFTP::Foreign)
Requires:       perl(Net::SMTP)
Requires:       perl(PHP::Serialization)
Requires:       perl(Sys::CPU)
Requires:       perl(Sys::MemInfo)

Requires:       apache-mod_php
Requires:       php
Requires:       php-apcu
Requires:       php-ctype
Requires:       php-gd
Requires:       php-intl
Requires:       php-mysql
Requires:       php-pdo
Requires:       php-pdo_mysql
Requires:       php-sockets
Requires:       php-sysvsem

Requires(post): rpm-helper >= %{rpmhelper_required_version}
Requires(preun): rpm-helper >= %{rpmhelper_required_version}

Recommends:     mysql

%description
A CCTV security package with remote access, motion detection and recording.
ZoneMinder is intended for use in single or multi-camera video security
applications, including commercial or home CCTV. It supports capture,
analysis, recording, and monitoring of video data coming from one or more
video or network cameras attached to a Linux system. 
ZoneMinder also supports web and semi-automatic control of Pan/Tilt/Zoom
cameras using a variety of protocols.
It is designed to run on distributions which support the Video For Linux (V4L)
interface and has been tested with video cameras attached to BTTV cards,
various USB cameras and also supports most IP network cameras.

This package is now only in the 'Tainted' repository, due to license
restrictions on x264 and mp4v2. 

%prep
%autosetup -p1 -n %{uname}-%{version}

# Change the following default values
./utils/zmeditconfigdata.sh ZM_HTTP_VERSION 1.1
./utils/zmeditconfigdata.sh ZM_CHECK_FOR_UPDATES no
./utils/zmeditconfigdata.sh ZM_DYN_SHOW_DONATE_REMINDER no
./utils/zmeditconfigdata.sh WEB_ALARM_SOUND %{_datadir}/%{name}/sounds/redalert.wav
./utils/zmeditconfigdata.sh ZM_ENABLE_CSRF_MAGIC yes
./utils/zmeditconfigdata.sh ZM_OPT_CONTROL yes

cp %{SOURCE4} README.Mageia
cp %{SOURCE12} README.1.27.Mageia

%build

%cmake \
                %{!?with_pcre:-DZM_NO_PCRE=ON} \
                -DZM_WEB_USER=%{zmuid} \
                -DZM_WEB_GROUP=%{zmgid} \
                -DZM_CONFIG_DIR=%{_sysconfdir}/zm \
                -DZM_WEBDIR=%{_datadir}/%{name}/www \
                -DZM_CGIDIR=%{_datadir}/%{name}/cgi-bin \
                -DZM_PATH_ZMS=/zm/cgi-bin/nph-zms

%cmake_build

%install
%cmake_install

for dir in events images temp; do
    install -m 755 -d %{buildroot}%{_localstatedir}/lib/%{name}/$dir
    ln -sf %{_localstatedir}/lib/%{name}/$dir %{buildroot}%{_datadir}/%{name}/www/$dir
done
install -m 755 -d %{buildroot}%{_localstatedir}/cache/%{name}
install -D -m 755 %{SOURCE3} %{buildroot}%{_datadir}/%{name}/sounds/redalert.wav
install -D -m 755 %{SOURCE6} %{buildroot}%{_bindir}/zmrestart
install -D -m 755 %{SOURCE7} %{buildroot}%{_bindir}/zmstop
install -D -m 755 %{SOURCE8} %{buildroot}%{_bindir}/zmsetup
install -d -m 755 %{buildroot}%{_udevrulesdir}
install -D -p -m 0644 %{SOURCE11} %{buildroot}%{_udevrulesdir}/89-%{name}.rules
install -D -p -m 0644 %{SOURCE12} %{buildroot}%{_sysconfdir}/zm/conf.d/03-mga.conf
install -D -p -m 0644 %{SOURCE10} %{buildroot}%{_tmpfilesdir}/%{name}.conf
install -d -m 755 %{buildroot}%{_localstatedir}/log/zm
install -D -m 644 scripts/zmlogrotate.conf.in %{buildroot}%{_sysconfdir}/logrotate.d/zm
install -D -m 644 %{SOURCE9} %{buildroot}%{_unitdir}/%{name}.service
install -m 755 -d %{buildroot}/var/lib/%{name}/sock
install -m 755 -d %{buildroot}/var/lib/%{name}/swap
install -m 755 -d %{buildroot}/var/lib/%{name}/temp
install -m 755 -d %{buildroot}/var/spool/%{name}-upload
install -d -m 755 %{buildroot}%{_datadir}/%{name}
install -d -m 755 db %{buildroot}%{_datadir}/%{name}/db
install -m 644 db/*.sql %{buildroot}%{_datadir}/%{name}/db
install -D -m 644 %{SOURCE2} %{buildroot}%{_webappconfdir}/%{name}.conf

cat > README.urpmi <<EOF

ZoneMinder is now installed.
Mageia has included a script to simplify setup.
It will:
* Help you add a mysql root password, or change an existing one.
* Help you to create a new ZoneMinder mysql database,
  or update from a previously installed version.
* Update the configuration settings in the mysql database.
* Set mysql permissions for the zoneminder user.
* Check and set a date.timezone for php.
* Start Mysql, Apache and ZoneMinder on completion.


To use it enter the following commands in a terminal:-

su

zmsetup

NOTE: After updating ZoneMinder to a new version always run zmsetup
and select to re-use your existing database.
This will allow you to update the database to be compatible with the newly
installed version of ZoneMinder, while keeping your existing events and
settings. Not opting to re-use your existing database will lose all previously
saved events, users and camera settings, as in a clean new installation.

EOF

# Remove unwanted files and folders
find %{buildroot} \( -name .htaccess -or -name .editorconfig -or -name .packlist \
                 -or -name .git -or -name .gitignore -or -name .gitattributes \
                 -or -name .travis.yml \) -type f -delete > /dev/null 2>&1 || :

# Desktop link is pointless for web app
rm -f %{buildroot}%{_datadir}/applications/%{name}.desktop
rm -f %{buildroot}%{_datadir}/%{name}/icons/16x16/icon.xpm

# Recursively change shebang in all relevant scripts and set execute permission        
find %{buildroot}%{_datadir}/zoneminder/www/api \( -name cake -or -name cake.php \) -type f -exec sed -i 's\^#!/usr/bin/env bash$\#!%{_buildshell}\' {} \; -exec %{__chmod} 755 {} \;

# Fixes Mga#30733
rm -rf %{buildroot}%{_datadir}/zoneminder/www/api/lib/Cake/Test*

%post
%_tmpfilescreate %{name}

# Allow zoneminder access to local video sources, serial ports, and x10
%{_bindir}/gpasswd -a %{zmuid} video >/dev/null 2>&1 || :
%{_bindir}/gpasswd -a %{zmuid} dialout >/dev/null 2>&1 || :

# Make sure that service is not automatically re-started on update as
# zmsetup should be run before re-starting to avoid db errors.
if [ $1 -eq 2 ]; then
systemctl stop %{name}.service > /dev/null 2>&1
fi

%_post_service %{name}

%preun
%_preun_service %{name}

%files
%doc README.md README.Mageia README.urpmi

%{_bindir}/zmaudit.pl
%{_bindir}/zmc
%{_bindir}/zmcontrol.pl
%{_bindir}/zmdc.pl
%{_bindir}/zmfilter.pl
%{_bindir}/zmcamtool.pl
%{_bindir}/zmeventtool.pl
%{_bindir}/zmpkg.pl
%{_bindir}/zmstats.pl
%{_bindir}/zmtrack.pl
%{_bindir}/zmtrigger.pl
%{_bindir}/zmu
%{_bindir}/zmupdate.pl
%{_bindir}/zmrecover.pl
%{_bindir}/zmvideo.pl
%{_bindir}/zmwatch.pl
%{_bindir}/zmsetup
%{_bindir}/zmstop
%{_bindir}/zmrestart
%{_bindir}/zmx10.pl
%{_bindir}/zmsystemctl.pl
%{_bindir}/zmonvif-probe.pl
%{_bindir}/zmtelemetry.pl
%{_bindir}/zm_rtsp_server
%{_bindir}/zmonvif-trigger.pl



%{_unitdir}/%{name}.service
%{perl_vendorlib}/*
%{_mandir}/man*/*

%dir %attr(755,%{zmuid},%{zmgid}) %{_datadir}/%{name}
%attr(755,%{zmuid},%{zmgid}) %dir %{_datadir}/%{name}/www
%attr(755,%{zmuid},%{zmgid}) %{_datadir}/%{name}/www/*
%attr(755,%{zmuid},%{zmgid})%{_datadir}/%{name}/db
%attr(755,%{zmuid},%{zmgid})%{_datadir}/%{name}/sounds
%attr(755,%{zmuid},%{zmgid})%{_datadir}/%{name}/cgi-bin

%dir %attr(755,%{zmuid},%{zmgid}) %dir %{_localstatedir}/log/zm
%dir %attr(755,%{zmuid},%{zmgid}) %{_localstatedir}/lib/%{name}
%dir %attr(755,%{zmuid},%{zmgid}) %{_localstatedir}/lib/%{name}/events
%dir %attr(755,%{zmuid},%{zmgid}) %{_localstatedir}/lib/%{name}/images
%dir %attr(755,%{zmuid},%{zmgid}) %{_localstatedir}/lib/%{name}/temp
%dir %attr(755,%{zmuid},%{zmgid}) %{_localstatedir}/lib/%{name}/sock
%dir %attr(755,%{zmuid},%{zmgid}) %{_localstatedir}/lib/%{name}/swap
%dir %attr(755,%{zmuid},%{zmgid}) %{_localstatedir}/cache/zoneminder
%dir %attr(755,%{zmuid},%{zmgid}) %{_localstatedir}/spool/%{name}-upload

# We want these two folders to have "normal" read permission
# compared to the folder contents
%dir %{_sysconfdir}/zm
%dir %{_sysconfdir}/zm/conf.d
%{_sysconfdir}/zm/conf.d/README

# Config folder contents contain sensitive info
# and should not be readable by normal users
%config(noreplace) %attr(640,root,%{zmgid}) %{_sysconfdir}/zm/zm.conf
%config(noreplace) %attr(640,root,%{zmgid}) %{_sysconfdir}/zm/conf.d/*.conf

%config(noreplace) %{_sysconfdir}/logrotate.d/zm
%config(noreplace) %{_webappconfdir}/%{name}.conf

%{_udevrulesdir}/89-%{name}.rules
%{_tmpfilesdir}/%{name}.conf
%{_datadir}/polkit-1/rules.d/com.%{name}.systemctl.rules
%{_datadir}/polkit-1/actions/com.%{name}.systemctl.policy
%{_datadir}/%{name}/fonts/default.zmfnt
%{_datadir}/%{name}/MacVendors.json
%{_datadir}/polkit-1/actions/com.%{name}.arp-scan.policy
%{_datadir}/polkit-1/rules.d/com.%{name}.arp-scan.rules
%{_includedir}/jwt-cpp/base.h
%{_includedir}/jwt-cpp/jwt.h
%{_includedir}/jwt-cpp/traits/boost-json/defaults.h
%{_includedir}/jwt-cpp/traits/boost-json/traits.h
%{_includedir}/jwt-cpp/traits/danielaparker-jsoncons/defaults.h
%{_includedir}/jwt-cpp/traits/danielaparker-jsoncons/traits.h
%{_includedir}/jwt-cpp/traits/defaults.h.mustache
%{_includedir}/jwt-cpp/traits/kazuho-picojson/defaults.h
%{_includedir}/jwt-cpp/traits/kazuho-picojson/traits.h
%{_includedir}/jwt-cpp/traits/nlohmann-json/defaults.h
%{_includedir}/jwt-cpp/traits/nlohmann-json/traits.h
%{_includedir}/picojson/picojson.h
%{_usr}/cmake/jwt-cpp-config-version.cmake
%{_usr}/cmake/jwt-cpp-config.cmake
%{_usr}/cmake/jwt-cpp-targets.cmake


%changelog
* Thu Aug 08 2024 barjac <barjac> 1.37.61-1.mga10
+ Revision: 2084315
- new version 1.37.61
- new BR json-devel
- update files list

* Tue Apr 18 2023 daviddavid <daviddavid> 1.36.33-2.mga9.tainted
+ Revision: 1953564
- disable old pcre support in Mageia 9 (mga#31791)

* Mon Mar 13 2023 barjac <barjac> 1.36.33-1.mga9.tainted
+ Revision: 1948794
- new version 1.36.33

* Mon Feb 13 2023 barjac <barjac> 1.36.32-2.mga9.tainted
+ Revision: 1941237
- remove obsolete code from zmsetup
- remove associated README
- fix bug, tidy indentation, improve coding style in zmsetup

* Wed Nov 30 2022 barjac <barjac> 1.36.32-1.mga9.tainted
+ Revision: 1913295
- new version 1.36.32

* Thu Oct 27 2022 barjac <barjac> 1.36.31-1.mga9.tainted
+ Revision: 1899868
- new version 1.36.31

* Thu Sep 22 2022 barjac <barjac> 1.36.26-1.mga9.tainted
+ Revision: 1891646
- new version 1.36.26
  added new Requires: php-apcu
  remove fewer cake files to fix bug without breaking API

* Fri Sep 02 2022 barjac <barjac> 1.36.25-1.mga9.tainted
+ Revision: 1883402
- new version 1.36.25
- added call to zmupdate.pl -f in zmsetup to be sure config changes get to db
- remove cambozola requirement
- other minor text changes in zmsetup

* Sat Aug 13 2022 barjac <barjac> 1.36.24-1.mga9.tainted
+ Revision: 1877334
- new version 1.36.24
- removed Cake dir which broke install due to obsolete php requires
- Requires: updated for php-8.2.0

* Tue Aug 09 2022 barjac <barjac> 1.36.23-1.mga9.tainted
+ Revision: 1876301
- new version 1.36.23
- added new Requires: php-intl

* Sat Jun 25 2022 papoteur <papoteur> 1.36.19-1.mga9.tainted
+ Revision: 1866203
- new 1.36.19
- Mass Rebuild for dependencies
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild
+ mrambo3501 <mrambo3501>
- rebuild for ffmpeg 5.0

* Tue Feb 08 2022 barjac <barjac> 1.36.12-1.mga9.tainted
+ Revision: 1772614
- new version 1.36.12

* Tue Nov 09 2021 barjac <barjac> 1.36.10-1.mga9.tainted
+ Revision: 1755397
- new version 1.36.10

* Sat Oct 02 2021 wally <wally> 1.36.5-2.mga9.tainted
+ Revision: 1747542
- rebuild for openssl 3.0.0

* Tue Aug 24 2021 barjac <barjac> 1.36.5-1.mga9.tainted
+ Revision: 1742447
- new version 1.36.5
- Added option to set a new mysql root password if forgotten (zmsetup script)

* Mon Jun 14 2021 barjac <barjac> 1.36.4-1.mga9.tainted
+ Revision: 1730788
- new version 1.36.4

* Fri May 28 2021 barjac <barjac> 1.36.1-3.mga9.tainted
+ Revision: 1728700
- fix path to cambozola.jar

* Thu May 27 2021 barjac <barjac> 1.36.1-2.mga9.tainted
+ Revision: 1728696
- Add missing Requires: php-ctype

* Wed May 26 2021 barjac <barjac> 1.36.1-1.mga9.tainted
+ Revision: 1728534
- new version: 1.36.1
- adjust files list
- drop setting ZM_UPLOAD_FTP_LOC_DIR now removed
- remove zma now gone

* Wed May 12 2021 barjac <barjac> 1.34.26-2.mga9.tainted
+ Revision: 1722551
- build with tainted flag set

* Wed May 12 2021 barjac <barjac> 1.34.26-1.mga9.tainted
+ Revision: 1722540
- new version 1.34.26

* Tue Mar 23 2021 barjac <barjac> 1.34.23-1.mga9.tainted
+ Revision: 1708403
- new version 1.34.23

* Thu Oct 22 2020 barjac <barjac> 1.34.22-1.mga8.tainted
+ Revision: 1637915
- new version 1.34.22

* Mon Sep 21 2020 barjac <barjac> 1.34.21-1.mga8.tainted
+ Revision: 1629389
- new version 1.34.21

* Mon Aug 24 2020 barjac <barjac> 1.34.20-2.mga8.tainted
+ Revision: 1618727
- fix path to cambozola.jar
- symlink webroot => cambozola.jar

* Mon Aug 24 2020 barjac <barjac> 1.34.20-1.mga8.tainted
+ Revision: 1618444
- new version 1.34.20
- split out cambozola into separate package and make Recommend
- set path to cambozola in zm options
- remove old patch
- remove ant BR

* Mon Aug 17 2020 barjac <barjac> 1.34.19-1.mga8.tainted
+ Revision: 1614651
- new version 1.34.19

* Wed Jul 22 2020 mokraemer <mokraemer> 1.34.16-3.mga8.tainted
+ Revision: 1608004
- Fix mod-php issue

* Mon Jul 06 2020 daviddavid <daviddavid> 1.34.16-2.mga8.tainted
+ Revision: 1602622
- rebuild for new x264-0.157

* Tue Jun 16 2020 barjac <barjac> 1.34.16-1.mga8.tainted
+ Revision: 1593440
- new version 1.34.16
- removed upstreamed patch

* Tue Mar 31 2020 barjac <barjac> 1.34.6-2.mga8.tainted
+ Revision: 1562476
- test arm builds

* Mon Mar 09 2020 barjac <barjac> 1.34.6-1.mga8.tainted
+ Revision: 1555120
- new version 1.34.6
- revert arm part of last commit

* Thu Feb 27 2020 barjac <barjac> 1.34.5-3.mga8.tainted
+ Revision: 1551108
- try to fix arm build
- minor change to mk-tar (use exclude-vcs)

* Thu Feb 27 2020 wally <wally> 1.34.5-2.mga8.tainted
+ Revision: 1550998
- use new cmake macros
- add a patch to fix build when calling cmake outside the build directory
+ barjac <barjac>
- more changes to zmsetup for mariadb-10.4
- new version 1.34.5
- use full path in shebangs
- drop forcing of mysql root password as deprecated in mariadb-10.4
- drop old upstream patch
- revert new cmake macros and use optflags to fix build
- adjust files lists and edit README.urpmi

* Fri Feb 21 2020 wally <wally> 1.32.3-2.mga8.tainted
+ Revision: 1549194
- build with new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Mon Jan 07 2019 barjac <barjac> 1.32.3-1.mga7.tainted
+ Revision: 1351455
- new version 1.32.3
- new config files layout
- cgi-bin location brought in line with some other distros
- moved to tainted only due to x264 and mp4v2
- new BRs
- changes to zmsetup script to cater for new php.ini split out in Mageia, check for and
- suggest changes to default ScriptAlias in httpd.conf
- use zoneminder.conf from upstream  as template
- add patch from current git master to fix minor bug
- add Apache user to video and dialout groups in %%post for some cameras and control
- fix files lists for new layout

* Sun Sep 23 2018 umeabot <umeabot> 1.30.4-9.mga7
+ Revision: 1302062
- Mageia 7 Mass Rebuild

* Sat Jul 14 2018 daviddavid <daviddavid> 1.30.4-8.mga7
+ Revision: 1243647
- add upstream patch to fix build with glibc_2.26

* Sun Apr 29 2018 daviddavid <daviddavid> 1.30.4-7.mga7
+ Revision: 1223373
- add patch to fix build with ffmpeg 4.0

* Thu Dec 21 2017 barjac <barjac> 1.30.4-6.mga7
+ Revision: 1183707
- rebuild for mariadb

* Fri Oct 06 2017 daviddavid <daviddavid> 1.30.4-5.mga7
+ Revision: 1169562
- patch1: fix build with gcc7

* Thu Aug 31 2017 guillomovitch <guillomovitch> 1.30.4-4.mga7
+ Revision: 1150313
- bump replease
- rebuild for latest openssl

* Thu May 11 2017 barjac <barjac> 1.30.4-2.mga6
+ Revision: 1100142
- new version 1.30.4
- this replaces 1.30.3 which was a flawed release upstream
- patch removed that fixed part of the issue in 1.30.3

* Mon May 08 2017 barjac <barjac> 1.30.3-2.mga6
+ Revision: 1099734
- new version 1.30.3
- fixes CVE-2017-7203 Cross-Site Scripting (XSS)
- fixes CVE-2017-5367 Multiple reflected XSS
- fixes CVE-2017-5595 File disclosure and inclusion vulnerability (patch merged upstream)
- fixes CVE-2016-10204 SQL injection vulnerability
- fixes CVE-2016-10205 Session fixation vulnerability
- fixes CVE-2017-5368, CVE-2016-10206 CRSF mitigation
- new Require: php-apcu
- CRSF Magic enabled by default
- mk-tar script added to create tarball with git submodules included
- fixes Mga#20215 (Multiple CVEs)

* Tue May 02 2017 akien <akien> 1.30.0-7.mga6
+ Revision: 1098335
- Rebuild for ffmpeg 3.3

* Wed Mar 08 2017 akien <akien> 1.30.0-6.mga6
+ Revision: 1090267
- Rebuild for ffmpeg 3.2.4

* Fri Feb 24 2017 barjac <barjac> 1.30.0-5.mga6
+ Revision: 1087554
- fix for CVE-2016-10140
  mga#20215 Block unauthorized directory listing

* Tue Feb 21 2017 barjac <barjac> 1.30.0-4.mga6
+ Revision: 1087295
- Fix for CVE-2017-5595
  (File disclosure due to unfiltered user-input)

* Thu Aug 25 2016 barjac <barjac> 1.30.0-3.mga6
+ Revision: 1048939
- only use cracklib-check in zmseup to match mariadb validation policy

* Wed Aug 24 2016 barjac <barjac> 1.30.0-2.mga6
+ Revision: 1048281
- fix 2 minor bugs in zmsetup

* Wed Aug 24 2016 barjac <barjac> 1.30.0-1.mga6
+ Revision: 1048079
- correct rel
- update README.mageia for Mageia 6
- fix path for logs
- pre-set path for alarm sound file in configs (disabled)
- remove unused -DZM_PERL_SUBPREFIX and its %%define

* Tue Aug 23 2016 barjac <barjac> 1.30.0-0.98.mga6
+ Revision: 1047930
- new version 1.30.0
- remove merged upstream API security patch
- re-diffed gcrypt patch for 1.30.0
- added two pull request patches to fix red outline pb found after release
- adapted zmsetup script to check password strength as mariadb now ships with strict pw validation
- new perl requires added
- added requires/provides_exludes for the hundreds of perl modules now built in package
- use %%cmake %%make_build %%make_install and move %%ant properly into %%build section
- add require on cracklib-dicts for zmsetup script

* Sun Jun 19 2016 pterjan <pterjan> 1.29.0-5.mga6
+ Revision: 1036659
- Rebuild for perl 5.22.2

* Thu Apr 07 2016 barjac <barjac> 1.29.0-4.mga6
+ Revision: 999238
- fix api security issue ZM#1335
- modify zmsetup to set (missing) timezone in php.ini as it_s now mandatory

* Thu Mar 03 2016 umeabot <umeabot> 1.29.0-3.mga6
+ Revision: 984785
- Rebuild for openssl

* Thu Feb 18 2016 barjac <barjac> 1.29.0-2.mga6
+ Revision: 966493
- enable API support

* Wed Feb 17 2016 barjac <barjac> 1.29.0-1.mga6
+ Revision: 963734
- new version 1.29.0
- re-diff gcrypt patch for 1.29.0
- modify cgi options for symlinked cgi script

* Mon Jan 11 2016 luigiwalser <luigiwalser> 1.28.1-5.mga6
+ Revision: 921863
- add patch from fedora to use libgcrypt instead of libgnutls-openssl

* Fri Nov 20 2015 barjac <barjac> 1.28.1-4.mga6
+ Revision: 904422
- remove zm_create.sql patch and move db perms
- setting into zmsetup script to make package install clean upstream
- modified zmsetup to install db perms
- ammended description texts where needed and improved some texts
- new patch in preparation for next version db updates

* Thu Nov 12 2015 barjac <barjac> 1.28.1-3.mga6
+ Revision: 902796
- revert update to mootools and use bundled version
- tidy %%files section a bit using glob for www
- remove COPYING
- updated mootools and cambozola
- tidied spec - sorted BRs and Requires

* Tue Nov 10 2015 barjac <barjac> 1.28.1-2.mga6
+ Revision: 900386
- fix missing perl Requires
- re-organize buildrequires
- add some comments
- minor edit to description

* Tue Oct 06 2015 barjac <barjac> 1.28.1-1.mga6
+ Revision: 886561
- new version 1.28.1

* Mon Sep 14 2015 fwang <fwang> 1.28.0-3.33f3612.mga6
+ Revision: 879232
- rebuild for new libgcrypt

* Wed Nov 26 2014 barjac <barjac> 1.28.0-2.33f3612.mga5
+ Revision: 799347
- inhibit systemctl warning on updates
- update snapshot to really fix groups issue

* Tue Nov 25 2014 barjac <barjac> 1.28.0-1.1a74a41.mga5
+ Revision: 798863
- new version 1.28
- move some temporary files to /run/zm
- use new upstream script to change some defaults in spec rather than patching
- fixes upstream bugs including some massive logs
- allows non-admin users to create monitor groups
- added code in zmsetup to allow smooth updates from 1.27 to 1.28 to preserve existing database

* Sat Nov 15 2014 barjac <barjac> 1.27.99.0-7.1076a62.mga5
+ Revision: 797330
- rebuild for new ffmpeg

* Wed Oct 15 2014 umeabot <umeabot> 1.27.99.0-6.1076a62.mga5
+ Revision: 749720
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 1.27.99.0-5.1076a62.mga5
+ Revision: 734258
- rebuild for pear deps

* Fri Sep 26 2014 tv <tv> 1.27.99.0-4.1076a62.mga5
+ Revision: 725323
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 1.27.99.0-3.1076a62.mga5
+ Revision: 690886
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Wed Sep 10 2014 barjac <barjac> 1.27.99.0-2.1076a62.mga5
+ Revision: 674467
- correct formatting of README.urpmi

* Tue Sep 09 2014 barjac <barjac> 1.27.99.0-1.1076a62.mga5
+ Revision: 674210
- new git snapshot
- new mootools version 1.5.1
- new cambozola version 0.935
- moved udev rules up to 89-zoneminder from 59- to fix rule being overwritten
- new BR pkgconfig(polkit-gobject-1)
- new Requires: php-pdo php-pdo-mysql
- updated README.urpmi
- new polkit rules from upstream to handle web UI start/stopping service
- make not needed with %%cmake

* Mon Apr 07 2014 barjac <barjac> 1.27.0-4.mga5
+ Revision: 612690
- change udev rule to set acl for apache group not user
- rename udev rule to 59-zoneminder.rules or it clobbers the uaccess rule
- add three upstream git patches to fix playback control button bugs

* Tue Mar 25 2014 barjac <barjac> 1.27.0-3.mga5
+ Revision: 608704
- fix logs path on update from < 1.27 in zmsetup

* Tue Mar 25 2014 barjac <barjac> 1.27.0-2.mga5
+ Revision: 608559
- fix rewind bug with upstream git patch

* Mon Mar 24 2014 barjac <barjac> 1.27.0-1.mga5
+ Revision: 608161
- new version 1.27.0 and major overhaul
- switched to cmake
- web files removed from web root in line with webapps policy
- zoneminder cgi scipts moved out of cgi-bin and ScriptAliased
- /dev/videoX perms handled with udev rule and acl
- updates from < 1.27.0 handled with change to zmsetup
- README.1.27.Mageia added for this release
- added BR ffmpeg needed for CMakeLists detection
- added BRs libvlc and libcurl
- fix files list
- drop X10 support
- drop donate nag from default install
- drop update nag from default install

* Tue Dec 03 2013 barjac <barjac> 1.26.4-2.mga4
+ Revision: 554854
- remove un-needed ScriptAlias
- change some default configs
- fix tempfiles installation
- remove un-needed perl buildrequires and requires
- build in X10 support
- dont disable crashtrace as it does not impact performance
- dont own cgi-bin

* Sat Oct 26 2013 barjac <barjac> 1.26.4-1.mga4
+ Revision: 547037
- new release 1.26.4
- patched to git-3502 with further bug fixes

* Sat Oct 19 2013 umeabot <umeabot> 1.26.3-2.mga4
+ Revision: 535086
- Mageia 4 Mass Rebuild

* Wed Sep 18 2013 barjac <barjac> 1.26.3-1.mga4
+ Revision: 481053
- new version
- give zmuser alter rights
- change zmupdate to use zm user in zmconf to update db
- patch to fix minor bug in db update from 1.26.0

* Thu Sep 05 2013 barjac <barjac> 1.26.0-1.mga4.tainted
+ Revision: 475298
- update to full release 1.26.0
- remove CVE-2013-0232 patch applied upstream
- remove automake-1.13 patch applied upstream

* Sat Aug 31 2013 barjac <barjac> 1.26.0-0.beta.3.1.mga4.tainted
+ Revision: 473592
- new version 1.26.0 beta 3
- removed obsolete patches
- re-diffed autotools patch to -p1 for %%apply_patches
- updated mootools to version 1.2.6
- updated cambozola to version 0.931
- modified spec to cope cleanly with pre-release betas etc.
- added mk-git-tar script to create pre-release tarballs
- removed README and added README.md
- re-enumerated patches

* Mon Jul 15 2013 fwang <fwang> 1.25.0-23.mga4.tainted
+ Revision: 454494
- more fix for ffmpeg 2.0
- fix build with new ffmpeg
- use force install

* Fri Mar 22 2013 barjac <barjac> 1.25.0-23.mga3.tainted
+ Revision: 404522
- check for mysql in zmsetup and offer to install
- suggest mysql

* Sat Mar 16 2013 barjac <barjac> 1.25.0-22.mga3.tainted
+ Revision: 403486
- patch - CVE-2013-0232 (arbitrary command execution vulnerability)

* Mon Jan 14 2013 umeabot <umeabot> 1.25.0-21.mga3.tainted
+ Revision: 387773
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 fwang <fwang> 1.25.0-20.mga3.tainted
+ Revision: 341755
- rebuild for new ffmpeg

* Sat Jan 05 2013 barjac <barjac> 1.25.0-19.mga3.tainted
+ Revision: 338866
- fix build with automake-1.13
- re-enumerate patches
+ kamil <kamil>
- add P10: zoneminder-1.25.0-mga-fix-build-with-automake-1.13.patch

* Sat Dec 01 2012 fwang <fwang> 1.25.0-18.mga3.tainted
+ Revision: 323865
- there is no ffmpeg-static
- rebuild for new pcre

* Thu Sep 27 2012 barjac <barjac> 1.25.0-17.mga3.tainted
+ Revision: 298811
- Change group from Video to Security to fit new policy

* Wed Sep 26 2012 barjac <barjac> 1.25.0-16.mga3
+ Revision: 297850
- Added BR/Requires on turbo-jpeg for improved performance

* Tue Sep 11 2012 guillomovitch <guillomovitch> 1.25.0-15.mga3.tainted
+ Revision: 292434
- drop useless explicit perl dependencies computed automatically

* Tue Sep 11 2012 barjac <barjac> 1.25.0-15.mga3
+ Revision: 292235
- Patch to work around v4l2 api breakage in 3.5 kernel
- Removed stray patch that was re-named a while back
+ guillomovitch <guillomovitch>
- renumerate sources for sake of readability
- cleanup files part
- no dependency on mysql
- cleanup setup part
- don't replicate %%configure arguments
- cleanup installation
- drop sysinit support
- use _webappconfdir macro

* Wed Jul 25 2012 barjac <barjac> 1.25.0-14.mga3.tainted
+ Revision: 274157
- new perfpatch with deinterlace
- new version of mootools and define for version
- added define for cambozala version
- improved systemd unit file to not need zmstop
- changed zmstop utility to use systemctl
- include ffmpeg in core build
- remove gcc4.7 patches as now in perfpatch
- remove avcodec detect patch as now in perfpatch
- drop lmp3lame in tainted as not needed
- remove unneeded BR ffmpeg
- moved zoneminder.conf to sites.d
- updated zoneminder.conf for apache 2.4
- added min version require for apache >= 2.4

* Mon Jul 16 2012 barjac <barjac> 1.25.0-13.mga3.tainted
+ Revision: 271539
- re-name ffmpeg patch for consistency - and policy
- fix warnings in cambozala build with BR on minimum JDK version

* Mon Jul 16 2012 barjac <barjac> 1.25.0-12.mga3.tainted
+ Revision: 271422
- modified and re-added ffmpeg patch to not add includes
- remove BR ffmpeg-static-devel
- Patched configure.ac to correctly detect presence of libavcodec
+ neoclust <neoclust>
- Start to port to new ffmpeg

* Tue Jul 10 2012 barjac <barjac> 1.25.0-11.mga3
+ Revision: 269149
- rebuild against gcc-4.7
- patched to fix build fail due to missing includes in gcc-4.7
- fix from bug 6462 mga2 applied to mga3

* Fri May 11 2012 barjac <barjac> 1.25.0-10.mga2.tainted
+ Revision: 235332
- Fix in unit file for bug #5805

* Sat Apr 28 2012 tmb <tmb> 1.25.0-9.mga2.tainted
+ Revision: 233913
- Require rpm-helper >= 0.24.8-1 for systemd support

* Mon Apr 09 2012 barjac <barjac> 1.25.0-8.mga2.tainted
+ Revision: 229835
- new perfpatch with various bug fixes
- fix spec bugs that installed a makefile and left a stray folder after uninstall
- improved README.mageia
- removed old patches that are now included in patch0
+ dmorgan <dmorgan>
- Add ExecReload support in systemd file ( Fedora)

* Mon Feb 20 2012 barjac <barjac> 1.25.0-7.mga2.tainted
+ Revision: 211184
- Patch to fix bug in zmwatch.js that was filling error log
- Added User= to unit file to fix zm processes running with wrong cgroup
- Added ExecStop= to unit file to allow systemctl to stop zm processes correctly
- Fix typo in zmrestart script that was giving wrong error message

* Mon Jan 30 2012 barjac <barjac> 1.25.0-6.mga2.tainted
+ Revision: 203335
- Fix bug (typo) in zmsetup script

* Sat Jan 21 2012 barjac <barjac> 1.25.0-5.mga2.tainted
+ Revision: 199305
- Updated zmsetup and zmrestart scripts to systemd

* Thu Dec 22 2011 barjac <barjac> 1.25.0-4.mga2.tainted
+ Revision: 185583
- Added performance patch - bump release

* Tue Dec 20 2011 barjac <barjac> 1.25.0-3.mga2.tainted
+ Revision: 184679
- Rebuild against mariadb
- Minor text edit in spec

* Fri Nov 04 2011 shlomif <shlomif> 1.25.0-2.mga2.tainted
+ Revision: 162984
- Fixed the /tmp thing.
- New mkrel for rebuild due to package failure
- New version with systemd support.

* Thu Oct 06 2011 shlomif <shlomif> 1.24.4-8.mga2.tainted
+ Revision: 152451
- Fixed bugs in zmsetup and zmupdate.pl, added logrotate, added LSB header to init. Thanks to barjac.

* Fri Sep 23 2011 shlomif <shlomif> 1.24.4-7.mga2.tainted
+ Revision: 147001
- Add perl-X10 as requires. Thanks to barjac
- imported package zoneminder



* Tue Sep 20 2011 Barry Jackson <zen25000@zen.co.uk> - 1.24.4-6
- cambozola.jar removed from SOURCES and now built from source. 

* Mon Sep 19 2011 Barry Jackson <zen25000@zen.co.uk> - 1.24.4-5
- Corrections to BuildRequires and Requires

* Fri Sep 16 2011 Barry Jackson <zen25000@zen.co.uk> - 1.24.4-4
- Patched to avoid format-security errors when using configure macro.
- Removed hostname feature from zmsetup as beyond scope.

* Thu Sep 15 2011 Barry Jackson <zen25000@zen.co.uk> - 1.24.4-3
- Corrected various source permissions and description line lengths.
- Improved zmsetup to change hostname if required.
- Removed requirement for sse2

* Tue Sep 13 2011 Barry Jackson <zen25000@zen.co.uk> - 1.24.4-2
- Removed jscalendar as it is apparently not requiired.
- Added zmrestart script as it can be useful.

* Sun Sep 11 2011 Barry Jackson <zen25000@zen.co.uk> - 1.24.4-1
- Added Require: php-sockets, README.urpmi, distro_section for tainted builds.

* Thu Sep 8 2011 Barry Jackson <zen25000@zen.co.uk> - 1.24.4-0
- New package for Mageia. 
- Includes the performance patch by Kfir Itzhak :-
- http://www.zoneminder.com/forums/viewtopic.php?f=9&t=17652

